> For the complete documentation index, see [llms.txt](https://docs.arcflow.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arcflow.pro/cross-platform-aggregator-api/upload-order.md).

# Upload Order

#### Request URL: /api/exchangeRecord/addTransData

**API Base Url:** [**api.arcflow.pro**](https://api.arcflow.pro)

#### Request Method: POST

#### Request Parameter:

<table><thead><tr><th width="214">Field Name</th><th width="197">Field Description</th><th width="150">Type</th><th width="150">Required or not</th><th>Notes</th></tr></thead><tbody><tr><td>equipmentNo</td><td>Device ID</td><td>string</td><td>Y</td><td></td></tr><tr><td>fromTokenAddress</td><td>Original token  contact address</td><td>string</td><td>Y</td><td></td></tr><tr><td>toTokenAddress</td><td>Target token contract address</td><td>string</td><td>Y</td><td></td></tr><tr><td>fromAddress</td><td>Sender address</td><td>string</td><td>Y</td><td></td></tr><tr><td>toAddress</td><td>Receiver address</td><td>string</td><td>Y</td><td></td></tr><tr><td>fromTokenAmount</td><td>Original token amount (with decimal)</td><td>string</td><td>Y</td><td></td></tr><tr><td>slippage</td><td>Max slippage, %</td><td>integer</td><td>Y</td><td></td></tr><tr><td>fromChain</td><td>Original chain</td><td>string</td><td>Y</td><td></td></tr><tr><td>toChain</td><td>Target chain </td><td>string</td><td>Y</td><td></td></tr><tr><td>hash</td><td>Transaction hash</td><td>string</td><td>Y</td><td></td></tr><tr><td>toTokenAmount</td><td>Target token amount, divided by decimal</td><td>decimal</td><td>Y</td><td></td></tr><tr><td>dexName</td><td>Swap platform name</td><td>string</td><td>Y</td><td></td></tr><tr><td>isNoGas</td><td>Whether to use no gas:0 (use);1 (no)</td><td>string</td><td>Y</td><td></td></tr><tr><td>midTokenCode</td><td>Only the Glue channel,  commonSwap request Param midTokenCode</td><td>string</td><td>N</td><td></td></tr><tr><td>toTokenAmountWD</td><td>Only the Glue channel, target token amount(with decimal)</td><td>string</td><td>N</td><td></td></tr><tr><td>orderId</td><td>Order ID, if No fill with Null</td><td>string</td><td>N</td><td></td></tr><tr><td>orderType</td><td>Order type, such as no fill-in-the-null string</td><td>string</td><td>N</td><td></td></tr><tr><td>transferData</td><td>Swap customized process information, if no fill in null</td><td>string</td><td>N</td><td>Customized process, brought back by the swap interface</td></tr><tr><td>source</td><td>Unique ID of the channel</td><td>string</td><td>N</td><td></td></tr></tbody></table>

#### Output Parameter:&#x20;

| Field Name       | Field Description                                                                                                                                        | Type    |
| ---------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- | ------- |
| txHash           | Transaction hash                                                                                                                                         | string  |
| fromTokenAddress | Original token contract address                                                                                                                          | string  |
| fromTokenSymbol  | Original token symbol                                                                                                                                    | string  |
| fromTokenUrl     | Original token logo address                                                                                                                              | string  |
| toTokenAddress   | Target contract address                                                                                                                                  | string  |
| toTokenSymbol    | Target token symbol                                                                                                                                      | string  |
| toTokenUrl       | Target token logo address                                                                                                                                | string  |
| fromAmount       | Original token amount, divided by decimal                                                                                                                | decimal |
| toTokenAmount    | Target token amount, divided by decimal                                                                                                                  | decimal |
| finalStatus      | Current status: pending：Processing, success：Succeed, fail: failed，wait\_kyc：wait for kyc, wait\_refund: wait for return, refund\_complete: Return tokens | string  |
| createTime       | Create time                                                                                                                                              | string  |
| status           | Swap status, first element is the original chain swap status, second element is the target chain swap status                                             | array   |

#### Input Example:

```
{
  "toChain": "TRON",
  "orderType": "",
  "fromTokenAmount": "4351589000000000000",
  "isNoGas": "0",
  "midTokenCode": "",
  "orderId": "",
  "fromChain": "BSC",
  "dexName": "Bridgers",
  "equipmentNo": "0x18fc9d463b1e40bd0ed7c1c1d79513",
  "source": "globalm",
  "toAddress": "TV21rLfdCU9kdQciTKStA9wkCieQtA9tcn",
  "toTokenAddress": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
  "toTokenAmount": "1315.139317",
  "toTokenAmountWD": "1315139317",
  "fromTokenAddress": "0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee",
  "fromAddress": "0x18fc9d463b1e40bd0ed7c1c1d79513af1b72db98",
  "slippage": "1",
  "hash": "0x574f4fe5908740034da25e0adca87bfb26f7e20b83bf3f6721a6a4c6b5e5bb78"
}
```

#### Output Example:

```
{
    "resCode": 100,
    "resMsg": "success",
    "data": {
        "txHash": "0x25bfd589d00e41a66e01ed3ad7c7b4b5765619cbb34232f33ee47fd6c5c09706",
        "fromTokenAddress": "0xa71edc38d189767582c38a3145b5873052c3e47a",
        "fromTokenSymbol": "USDT",
        "fromTokenUrl": "https://images.swft.pro/heco/0xa71edc38d189767582c38a3145b5873052c3e47a.png",
        "toTokenAddress": "0xc2132d05d31c914a87c6611c10748aeb04b58e8f",
        "toTokenSymbol": "USDT",
        "toTokenUrl": "https://swap.swftcoin.com/swft-v3/images/coins/USDT(MATIC).png",
        "fromAmount": 48.026755,
        "toTokenAmount": 47.126755,
        "finalStatus": "pending",
        "createTime": "2022-03-02 15:56:29",
        "status": [
            {
                "chain": "HECO",
                "txHash": "0x25bfd589d00e41a66e01ed3ad7c7b4b5765619cbb34232f33ee47fd6c5c09706",
                "url": "https://hecoinfo.com/tx/0x25bfd589d00e41a66e01ed3ad7c7b4b5765619cbb34232f33ee47fd6c5c09706",
                "status": "pending"
            }
        ]
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.arcflow.pro/cross-platform-aggregator-api/upload-order.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
